Package net.shibboleth.idp.saml.saml2.profile.config.impl

# Class SSOSProfileConfiguration

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.profile.config.AbstractProfileConfiguration
net.shibboleth.profile.config.AbstractConditionalProfileConfiguration
net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration
net.shibboleth.idp.saml.profile.config.impl.AbstractSAMLProfileConfiguration
net.shibboleth.idp.saml.saml2.profile.config.impl.AbstractSAML2ProfileConfiguration
net.shibboleth.idp.saml.saml2.profile.config.impl.AbstractSAML2ArtifactAwareProfileConfiguration
net.shibboleth.idp.saml.saml2.profile.config.impl.AbstractSAML2AssertionProducingProfileConfiguration
net.shibboleth.idp.saml.saml2.profile.config.impl.BrowserSSOProfileConfiguration
net.shibboleth.idp.saml.saml2.profile.config.impl.SSOSProfileConfiguration

All Implemented Interfaces:
  `AuthenticationProfileConfiguration`, `InterceptorAwareProfileConfiguration`, `BrowserSSOProfileConfiguration`, `SAMLProfileConfiguration`, `BrowserSSOProfileConfiguration`, `AttributeResolvingProfileConfiguration`, `ConditionalProfileConfiguration`, `ProfileConfiguration`, `SAMLArtifactAwareProfileConfiguration`, `SAMLArtifactConsumerProfileConfiguration`, `SAMLAssertionConsumingProfileConfiguration`, `SAMLAssertionProducingProfileConfiguration`, `SAMLProfileConfiguration`, `BrowserSSOProfileConfiguration`, `SAML2AssertionProducingProfileConfiguration`, `SAML2ProfileConfiguration`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

@Deprecated(forRemoval=true, since="5.0.0") public class SSOSProfileConfiguration extends BrowserSSOProfileConfiguration
Deprecated, for removal: This API element is subject to removal in a future version.
Configuration support for the Liberty ID-WSF SSOS profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Predicate<ProfileRequestContext>`
`delegationPredicate`
Deprecated, for removal: This API element is subject to removal in a future version.
Predicate used to determine if a token may be delegated to a relying party.
`static final String`
`PROFILE_ID`
Deprecated, for removal: This API element is subject to removal in a future version.
ID for this profile configuration.

### Fields inherited from class net.shibboleth.idp.saml.saml2.profile.config.impl.BrowserSSOProfileConfiguration

`PROFILE_COUNTER`

### Fields inherited from interface net.shibboleth.idp.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`DEFAULT_DELEGATION_CHAIN_LENGTH`

### Fields inherited from interface net.shibboleth.saml.saml2.profile.config.BrowserSSOProfileConfiguration

`FEATURE_AUTHNCONTEXT, FEATURE_FORCEAUTHN, FEATURE_NAMEIDFORMAT, FEATURE_SCOPING, FEATURE_SPNAMEQUALIFIER`

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

### Fields inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`DEFAULT_ASSERTION_LIFETIME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`SSOSProfileConfiguration()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`protected`
`SSOSProfileConfiguration(String profileId)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDelegation(ProfileRequestContext profileRequestContext)`
Deprecated, for removal: This API element is subject to removal in a future version.
Get whether a delegated token presented to the IdP by another non-user entity may be used to complete SAML 2 SSO to this relying party.
`void`
`setDelegation(boolean flag)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set whether a delegated token presented to the IdP by another non-user entity may be used to complete SAML 2 SSO to this relying party.
`void`
`setDelegationPredicate(Predicate<ProfileRequestContext> predicate)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the predicate used to determine whether a delegated token presented to the IdP by another non-user entity may be used to complete SAML 2 SSO to this relying party.

### Methods inherited from class net.shibboleth.idp.saml.saml2.profile.config.impl.BrowserSSOProfileConfiguration

`getAttributeIndex, getAttributeRecipientGroupID, getAuthenticationFlows, getAuthnContextComparison, getAuthnContextTranslationStrategy, getAuthnContextTranslationStrategyEx, getDefaultAuthenticationMethods, getMaxAge, getMaximumSPSessionLifetime, getMaximumTimeSinceAuthn, getMaximumTokenDelegationChainLength, getNameIDFormatPrecedence, getPostAuthenticationFlows, getProxyAudiences, getProxyCount, getRequestedAttributes, getRequestedIdPAttributeNames, getSPNameQualifier, isAllowDelegation, isCheckAddress, isCheckInResponseTo, isForceAuthn, isIgnoreScoping, isIncludeAttributeStatement, isProxiedAuthnInstant, isRandomizeFriendlyName, isRequireSignedAssertions, isRequireSignedRequests, isResolveAttributes, isSkipEndpointValidationWhenSigned, isSuppressAuthenticatingAuthority, setAllowDelegation, setAllowDelegationPredicate, setAttributeIndex, setAttributeIndexLookupStrategy, setAttributeRecipientGroupID, setAttributeRecipientGroupIDLookupStrategy, setAuthenticationFlows, setAuthenticationFlowsLookupStrategy, setAuthnContextComparison, setAuthnContextComparisonLookupStrategy, setAuthnContextTranslationStrategy, setAuthnContextTranslationStrategyEx, setAuthnContextTranslationStrategyExLookupStrategy, setAuthnContextTranslationStrategyLookupStrategy, setCheckAddress, setCheckAddressPredicate, setCheckInResponseTo, setCheckInResponseToPredicate, setDefaultAuthenticationMethods, setDefaultAuthenticationMethodsLookupStrategy, setForceAuthn, setForceAuthnPredicate, setIgnoreScoping, setIgnoreScopingPredicate, setIncludeAttributeStatement, setIncludeAttributeStatementPredicate, setMaxAge, setMaxAgeLookupStrategy, setMaximumSPSessionLifetime, setMaximumSPSessionLifetimeLookupStrategy, setMaximumTimeSinceAuthn, setMaximumTimeSinceAuthnLookupStrategy, setMaximumTokenDelegationChainLength, setMaximumTokenDelegationChainLengthLookupStrategy, setNameIDFormatPrecedence, setNameIDFormatPrecedenceLookupStrategy, setPostAuthenticationFlows, setPostAuthenticationFlowsLookupStrategy, setProxiedAuthnInstant, setProxiedAuthnInstantPredicate, setProxyAudiences, setProxyAudiencesLookupStrategy, setProxyCount, setProxyCountLookupStrategy, setRandomizeFriendlyName, setRandomizeFriendlyNamePredicate, setRequestedAttributes, setRequestedAttributesLookupStrategy, setRequestedIdPAttributeNames, setRequestedIdPAttributeNamesLookupStrategy, setRequireSignedAssertions, setRequireSignedAssertionsPredicate, setRequireSignedRequests, setRequireSignedRequestsPredicate, setResolveAttributes, setResolveAttributesPredicate, setSkipEndpointValidationWhenSigned, setSkipEndpointValidationWhenSignedPredicate, setSPNameQualifier, setSPNameQualifierLookupStrategy, setSuppressAuthenticatingAuthority, setSuppressAuthenticatingAuthorityPredicate`

### Methods inherited from class net.shibboleth.idp.saml.saml2.profile.config.impl.AbstractSAML2AssertionProducingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isEncryptAssertions, isEncryptAttributes, isIncludeConditionsNotBefore, isSignAssertions, setAdditionalAudiencesForAssertion, setAdditionalAudiencesForAssertionLookupStrategy, setAssertionAudiences, setAssertionAudiencesLookupStrategy, setAssertionLifetime, setAssertionLifetimeLookupStrategy, setEncryptAssertions, setEncryptAssertionsPredicate, setEncryptAttributes, setEncryptAttributesPredicate, setIncludeConditionsNotBefore, setIncludeConditionsNotBeforePredicate, setSignAssertions, setSignAssertionsPredicate`

### Methods inherited from class net.shibboleth.idp.saml.saml2.profile.config.impl.AbstractSAML2ArtifactAwareProfileConfiguration

`getArtifactConfiguration, isClientTLSArtifactRequests, isSignArtifactRequests, setArtifactConfiguration, setArtifactConfigurationLookupStrategy, setClientTLSArtifactRequests, setClientTLSArtifactRequestsPredicate, setSignArtifactRequests, setSignArtifactRequestsPredicate`

### Methods inherited from class net.shibboleth.idp.saml.saml2.profile.config.impl.AbstractSAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures, setEncryptionOptional, setEncryptionOptionalPredicate, setEncryptNameIDs, setEncryptNameIDsPredicate, setIgnoreRequestSignatures, setIgnoreRequestSignaturesPredicate`

### Methods inherited from class net.shibboleth.idp.saml.profile.config.impl.AbstractSAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses, setMessageDecorator, setMessageHandler, setMessageHandlerLookupStrategy, setSignRequests, setSignRequestsPredicate, setSignResponses, setSignResponsesPredicate`

### Methods inherited from class net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows, setInboundInterceptorFlows, setInboundInterceptorFlowsLookupStrategy, setOutboundInterceptorFlows, setOutboundInterceptorFlowsLookupStrategy`

### Methods inherited from class net.shibboleth.profile.config.AbstractConditionalProfileConfiguration

`getActivationCondition, setActivationCondition`

### Methods inherited from class net.shibboleth.profile.config.AbstractProfileConfiguration

`equals, getDisallowedFeatures, getSecurityConfiguration, hashCode, isFeatureDisallowed, setDisallowedFeatures, setDisallowedFeaturesLookupStrategy, setSecurityConfiguration, setSecurityConfigurationLookupStrategy`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.idp.authn.config.AuthenticationProfileConfiguration

`isLocal`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.idp.profile.config.InterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLArtifactConsumerProfileConfiguration

`isClientTLSArtifactRequests, isSignArtifactRequests`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionConsumingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isIncludeConditionsNotBefore, isSignAssertions`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_ID

@Nonnull @NotEmpty public static final String PROFILE_ID
Deprecated, for removal: This API element is subject to removal in a future version.
ID for this profile configuration.

See Also:
  - Constant Field Values

### delegationPredicate

@Nonnull private Predicate<ProfileRequestContext> delegationPredicate
Deprecated, for removal: This API element is subject to removal in a future version.
Predicate used to determine if a token may be delegated to a relying party.

## Constructor Details

### SSOSProfileConfiguration

public SSOSProfileConfiguration()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

### SSOSProfileConfiguration

protected SSOSProfileConfiguration(@Nonnull @NotEmpty String profileId)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `profileId` - unique ID for this profile

## Method Details

### isDelegation

public boolean isDelegation(@Nullable ProfileRequestContext profileRequestContext)
Deprecated, for removal: This API element is subject to removal in a future version.
Get whether a delegated token presented to the IdP by another non-user entity may be used to complete SAML 2 SSO to this relying party.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  suitability of token for delegated authentication

### setDelegation

public void setDelegation(boolean flag)
Deprecated, for removal: This API element is subject to removal in a future version.
Set whether a delegated token presented to the IdP by another non-user entity may be used to complete SAML 2 SSO to this relying party.

Parameters:
  `flag` - flag to set

### setDelegationPredicate

public void setDelegationPredicate(@Nonnull Predicate<ProfileRequestContext> predicate)
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the predicate used to determine whether a delegated token presented to the IdP by another non-user entity may be used to complete SAML 2 SSO to this relying party.

Parameters:
  `predicate` - the new delegation predicate